Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.ant
Class Ssh.Shell

    java.lang.Object
      com.sshtools.ant.SshSubTask
          com.sshtools.ant.Ssh.Shell

All Implemented Interfaces:
  PseudoTerminal

Direct Known Subclasses:
  Ssh.Exec

Enclosing class:
  Ssh

public class Ssh.Shell
extends SshSubTask
implements PseudoTerminal

Nested Class Summary
`class` | `Ssh.Shell.Read`
`class` | `Ssh.Shell.Write`

Field Summary
`protected SessionOutputReader` | `output`

Fields inherited from class com.sshtools.ant.SshSubTask
`parent, taskString`

Fields inherited from interface com.sshtools.j2ssh.session.PseudoTerminal
`CS7, CS8, ECHO, ECHOCTL, ECHOE, ECHOK, ECHOKE, ECHONL, ICANON, ICRNL, IEXTEN, IGNCR, IGNPAR, IMAXBEL, INLCR, INPCK, ISIG, ISTRIP, IUCLC, IXANY, IXOFF, IXON, NOFLSH, OCRNL, OLCUC, ONLCR, ONLRET, ONOCR, OPOST, PARENB, PARMRK, PARODD, PENDIN, TOSTOP, TTY_OP_END, TTY_OP_ISPEED, TTY_OP_OSPEED, VDISCARD, VDSUSP, VEOF, VEOL, VEOL2, VERASE, VFLUSH, VINTR, VKILL, VLNEXT, VQUIT, VREPRINT, VSTART, VSTATUS, VSTOP, VSUSP, VSWTCH, VWERASE, XCASE`

Constructor Summary
`Ssh.Shell()`

Method Summary
`protected void` | `allocatePseudoTerminal(SessionChannelClient session)`
`Ssh.Shell.Read` | `createRead()`
`Ssh.Shell.Write` | `createWrite()` Reading/Writing to the session/command
`void` | `execute(SshClient ssh)`
`int` | `getColumns()` DOCUMENT ME!
`java.lang.String` | `getEncodedTerminalModes()` DOCUMENT ME!
`int` | `getHeight()` DOCUMENT ME!
`int` | `getRows()` DOCUMENT ME!
`java.lang.String` | `getTerm()` PseduoTermainal interface
`int` | `getWidth()` DOCUMENT ME!
`protected void` | `performTasks(SessionChannelClient session)`
`void` | `setCols(int cols)`
`void` | `setRows(int rows)`
`void` | `setTerm(java.lang.String term)`
`protected void` | `validate()`

Methods inherited from class com.sshtools.ant.SshSubTask
`log, log, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### output

    protected SessionOutputReader output

Constructor Detail

### Ssh.Shell

    public Ssh.Shell()

Method Detail

### execute

    public void execute(SshClient ssh)
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `SshSubTask`
  Throws:
    `org.apache.tools.ant.BuildException`

### validate

    protected void validate()
                     throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### allocatePseudoTerminal

    protected void allocatePseudoTerminal(SessionChannelClient session)
                                   throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### performTasks

    protected void performTasks(SessionChannelClient session)
                         throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### setTerm

    public void setTerm(java.lang.String term)

### setCols

    public void setCols(int cols)

### setRows

    public void setRows(int rows)

### getTerm

    public java.lang.String getTerm()

  PseduoTermainal interface

  Specified by:
    `getTerm` in interface `PseudoTerminal`
  Returns:
    DOCUMENT ME!

### getColumns

    public int getColumns()

  Description copied from interface: `PseudoTerminal`
  DOCUMENT ME!

  Specified by:
    `getColumns` in interface `PseudoTerminal`
  Returns:
    DOCUMENT ME!

### getRows

    public int getRows()

  Description copied from interface: `PseudoTerminal`
  DOCUMENT ME!

  Specified by:
    `getRows` in interface `PseudoTerminal`
  Returns:
    DOCUMENT ME!

### getWidth

    public int getWidth()

  Description copied from interface: `PseudoTerminal`
  DOCUMENT ME!

  Specified by:
    `getWidth` in interface `PseudoTerminal`
  Returns:
    DOCUMENT ME!

### getHeight

    public int getHeight()

  Description copied from interface: `PseudoTerminal`
  DOCUMENT ME!

  Specified by:
    `getHeight` in interface `PseudoTerminal`
  Returns:
    DOCUMENT ME!

### getEncodedTerminalModes

    public java.lang.String getEncodedTerminalModes()

  Description copied from interface: `PseudoTerminal`
  DOCUMENT ME!

  Specified by:
    `getEncodedTerminalModes` in interface `PseudoTerminal`
  Returns:
    DOCUMENT ME!

### createWrite

    public Ssh.Shell.Write createWrite()

  Reading/Writing to the session/command

### createRead

    public Ssh.Shell.Read createRead()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD